export type SubjectClass = new (...args: any[]) => any;
export type SubjectType = string | SubjectClass | object;
export type Rule = {
    actions: string[];
    subjects: SubjectType[];
    conditions?: Record<string, any>;
    inverted: boolean;
};
